#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int gcd(int a, int b) { return b == 0 ? a : gcd(b, a % b); }
int lcm(int a, int b) { return a / gcd(a, b) * b; }
int main()
{
    int T, b;
    cin >> T;
    set<int> S;
    while (T--)
    {
        S.clear();
        cin >> b;
        int ans = 0;
        for (int a = 1; a <= 1000; a++)
            S.insert(gcd(a, b) * b);
        cout << S.size() << endl;
    }
    return 0;
}
